<?php

namespace Drupal\force_password_change\Mapper;

use Drupal\Core\Database\Connection;
use Drupal\force_password_change\Mapper\ForcePasswordChangeMapperInterface;

interface ForcePasswordChangeMapperInterface
{
	public function getActiveUserIds();

	public function getUserCreatedTime($uid);

	public function getRolesExpiryTime(Array $roles);

	public function getLastChangeForRole($rid);

	public function updateLastChangeForRoles(Array $rids);

	public function insertExpiryForRoles(Array $values);

	public function updateExpiryForRole($rid, $time_period, $weight);

	public function getUserCountForRole($rid = FALSE);

	public function getPendingUserIds($rid = FALSE);

	public function getNonPendingUserIds($rid = FALSE);

	public function getRoleExpiryDates();

	public function getUserIdsForRole($rid);
}
